---
title: HTML reference
slug: Web/HTML/Reference
tags:
  - HTML
  - Landing
  - Reference
  - Web
---
<div>{{HTMLSidebar}}</div>

<p>This <a href="/en-US/docs/Web/HTML">HTML</a> reference describes all <strong>elements</strong> and <strong>attributes</strong> of HTML, including <strong>global attributes</strong> that apply to all elements.</p>

<dl>
 <dt><a href="/en-US/docs/Web/HTML/Element">HTML element reference</a></dt>
 <dd>This page lists all the HTML elements, which are created using tags.</dd>
 <dt><a href="/en-US/docs/Web/HTML/Attributes">HTML attribute reference</a></dt>
 <dd>Elements in HTML have attributes; these are additional values that configure the elements or adjust their behavior in various ways to meet the criteria the users want.</dd>
 <dt><a href="/en-US/docs/Web/HTML/Global_attributes">Global attributes</a></dt>
 <dd>Global attributes are attributes common to all HTML elements; they can be used on all elements, though they may have no effect on some elements.</dd>
 <dt><a href="/en-US/docs/Web/HTML/Link_types">Link types</a></dt>
 <dd>In HTML, the following link types indicate the relationship between two documents, in which one links to the other using an {{HTMLElement("a")}}, {{HTMLElement("area")}}, or {{HTMLElement("link")}} element.</dd>
 <dt><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content Categories</a></dt>
 <dd>Every HTML element is a member of one or more content categories — these categories group elements that share common characteristics.</dd>
 <dt><a href="/en-US/docs/Web/HTML/Date_and_time_formats">Date and time formats used in HTML</a></dt>
 <dd>Certain HTML elements allow you to specify dates and/or times as the value or as the value of an attribute. These include the date and time variations of the {{HTMLElement("input")}} element as well as the {{HTMLElement("ins")}} and {{HTMLElement("del")}} elements.</dd>
</dl>

<p><span class="alllinks"><a href="/en-US/docs/tag/HTML" title="Article tagged: HTML">View all pages tagged "HTML"...</a></span></p>
